io.vertx.kafka.client.serialization

## Class VertxSerdes

- java.lang.Object
- - org.apache.kafka.common.serialization.Serdes
  - - io.vertx.kafka.client.serialization.VertxSerdes

-     public class VertxSerdes
      extends org.apache.kafka.common.serialization.Serdes

  Author:
    Matthias Wessendorf

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VertxSerdes.BufferSerde`
    `static class` | `VertxSerdes.JsonArraySerde`
    `static class` | `VertxSerdes.JsonObjectSerde`

    - ### Nested classes/interfaces inherited from class org.apache.kafka.common.serialization.Serdes

      `org.apache.kafka.common.serialization.Serdes.BooleanSerde, org.apache.kafka.common.serialization.Serdes.ByteArraySerde, org.apache.kafka.common.serialization.Serdes.ByteBufferSerde, org.apache.kafka.common.serialization.Serdes.BytesSerde, org.apache.kafka.common.serialization.Serdes.DoubleSerde, org.apache.kafka.common.serialization.Serdes.FloatSerde, org.apache.kafka.common.serialization.Serdes.IntegerSerde, org.apache.kafka.common.serialization.Serdes.ListSerde<Inner>, org.apache.kafka.common.serialization.Serdes.LongSerde, org.apache.kafka.common.serialization.Serdes.ShortSerde, org.apache.kafka.common.serialization.Serdes.StringSerde, org.apache.kafka.common.serialization.Serdes.UUIDSerde, org.apache.kafka.common.serialization.Serdes.VoidSerde, org.apache.kafka.common.serialization.Serdes.WrapperSerde<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxSerdes()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.kafka.common.serialization.Serde<Buffer>` | `Buffer()`
    `static org.apache.kafka.common.serialization.Serde<JsonArray>` | `JsonArray()`
    `static org.apache.kafka.common.serialization.Serde<JsonObject>` | `JsonObject()`
    `static <T> org.apache.kafka.common.serialization.Serde<T>` | `serdeFrom(Class<T> type)`

    - ### Methods inherited from class org.apache.kafka.common.serialization.Serdes

      `Boolean, ByteArray, ByteBuffer, Bytes, Double, Float, Integer, ListSerde, Long, serdeFrom, Short, String, UUID, Void`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxSerdes

          public VertxSerdes()

  - ### Method Detail

    - #### Buffer

          public static org.apache.kafka.common.serialization.Serde<Buffer> Buffer()

    - #### JsonArray

          public static org.apache.kafka.common.serialization.Serde<JsonArray> JsonArray()

    - #### JsonObject

          public static org.apache.kafka.common.serialization.Serde<JsonObject> JsonObject()

    - #### serdeFrom

          public static <T> org.apache.kafka.common.serialization.Serde<T> serdeFrom(Class<T> type)

Copyright © 2024 Eclipse. All rights reserved.